Summary: A WindowMaker dock.app that displays CPU load as fire in a small icon
Name:		wmfire
Version: 1.2.2
Release: 4mdk
License:	GPL
Group:		Graphical desktop/WindowMaker
Source:		%{name}-%{version}.tar.bz2
Source1:	%{name}-icons.tar.bz2
URL:		http://www.swanson.ukfsn.org/%{name}-%{version}.tar.gz
BuildRequires:	XFree86-devel, libgtop2.0-devel, xpm-devel
BuildRequires:	gtk+2-devel
Prefix:		/usr
BuildRoot:	%{_tmppath}/%{name}-buildroot


%description
wmfire is an eye-candy dock applet for Window Maker that displays generated
fire, possibly according to how much load the system is experiencing, or from
a number somewhere in a file. wmfire requires very little CPU.
It has options for cyanish or orange/red flames, you can even  set it to
display your motherboard temperature through lm_sensors.


%prep
rm -rf %buildroot

%setup

%build
%configure 
%make

%install
[ -d %buildroot ] && rm -rf %buildroot

install -m 755 -d %buildroot%prefix/bin
install -m 755 src/%{name} %buildroot%prefix/bin/
#{fireload_cpu,fireload_file}
install -m 755 -d %buildroot%{_miconsdir}
install -m 755 -d %buildroot%{_iconsdir}
install -m 755 -d %buildroot%{_liconsdir}
tar xOjf %SOURCE1 16x16.png > %buildroot%{_miconsdir}/%{name}.png
tar xOjf %SOURCE1 32x32.png > %buildroot%{_iconsdir}/%{name}.png
tar xOjf %SOURCE1 48x48.png > %buildroot%{_liconsdir}/%{name}.png

install -m 755 -d %buildroot%{_menudir}
cat << EOF > %buildroot%{_menudir}/%{name}
?package(%{name}):command="%{prefix}/bin/%{name}" icon="%{name}.png"\\
                 needs="X11" section="System/Monitoring" title="WmFire"\\
                 longtitle="A dock.app that displays CPU load as fire in a small icon"
EOF

%post
%{update_menus}

%postun
%{clean_menus}

%clean
[ -z %buildroot ] || {
    rm -rf %buildroot
}

%files
%defattr (-,root,root)
%doc README ChangeLog INSTALL NEWS AUTHORS COPYING
%{prefix}/bin/*
%{_liconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_menudir}/%{name}

%changelog
* Wed May 25 2005 Nicolas Lcureuil <neoclust@mandriva.org> 1.2.2-4mdk
- Rebuild

* Sat Mar 19 2005 Nicolas Lcureuil <neoclust@mandrake.org> 1.2.2-3mdk
- Fix summary 
- Rebuild 

* Fri Sep 17 2004 Franck Villaume <fvill@freesurf.fr> 1.2.2-2mdk
- BuildRequires

* Mon Jun 28 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.2.2-1mdk
- 1.2.2

* Thu Apr 29 2004 Guillaume Bedot <guillaume.bedot@wanadoo.fr> 1.2.0-1mdk
- New version 1.2.0

* Mon Feb 23 2004 Lenny Cartier <lenny@mandrakesoft.com> 0.0.3.9pre4-8mdk
- rebuild

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.0.3.9pre4-7mdk
- rebuild

* Mon Feb 11 2002 HA Quc-Vit <viet@mandrakesoft.com> 0.0.3.9pre4-6mdk
- xpm icons converted to png.
- I know that the version number won't let people upgrade cleanly to 0.0.3.9
  when that one will be out, but look, the website is dead, and there has
  been no updates at all since Oct 1999, so that's not likely to happen at all.

* Fri Aug 31 2001 Etienne Faure <etienne@mandrakesoft.com> 0.0.3.9pre4-5mdk
- rebuild

* Wed Feb 21 2001 HA Quc-Vit <viet@mandrakesoft.com> 0.0.3.9pre4-4mdk
- merge between Lenny's spec and mine

* Mon Jan 22 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.0.3.9pre4-3mdk
- fix files section (thx Viet) 

* Tue Oct 31 2000 HA Quc-Vit <viet@mandrakesoft.com> 0.0.3.9pre4-3mdk
- small fix in spec file : _tmppath
- not released

* Wed Sep 20 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.0.3.9pre4-2mdk
- macros

* Mon Aug 02 2000 HA Quc-Vit <viet@mandrakesoft.com> 0.0.3.9pre4-1mdk
- menu entry added
- 16x16, 32x32 and 48x48 icons added

* Mon Jul 31 2000 HA Quc-Vit <viet@mandrakesoft.com> 0.0.3.9pre4-1mdk
- better list of dependencies 
- the version  number was missing in the last changelog
- the package revision has been adjusted to the naming convention
- not released

* Wed Jul 12 2000 HA Quc-Vit <viet@mandrakesoft.com> 0.0.3.9pre4-0mdk
- Initial release.
- no changes made to the original archive
